__gnu_cxx::_SequenceConcept(3)

NAME
__gnu_cxx::_SequenceConcept -

SYNOPSIS

Detailed Description

  template<class _Sequence> struct __gnu_cxx::_SequenceConcept< _Sequence >

Definition at line 717 of file boost_concept_check.h.

  Public Types
typedef _Sequence::const_reference _Const_reference
typedef _Sequence::reference _Reference

  Public Member Functions
void __const_constraints (const _Sequence &__c)
void __constraints ()

  Public Attributes
_Sequence::value_type * __first
_Sequence::value_type * __last
_Sequence::size_type __n
_Sequence::iterator __p
_Sequence::iterator __q
_Sequence::value_type __t

Author

Generated automatically by Doxygen for libstdc++ from the source code.